Gestión de versión mínima

Índice

¿Qué es?

Con el paso del tiempo, 480interactive se va nutriendo de nuevas mejoras y funcionalidades para darle mayor vida a tus publicaciones interactivas.

Cuando crees tu app y la publiques en AppStore y Google Play, tu app será compatible con todas las funcionalidades que ofrece 480interactive hasta la fecha. No obstante, como es lógico, no soportará las funcionalidades que aparezcan después de que hayas publicado tu app.

Es posible que en un futuro quieras actualizar el contenido de tu app y que además quieras aprovecharte de esas nuevas funcionalidades que antes no estaban disponibles. En ese caso, será necesario que actualices tu app en Google Play y AppStore y de este modo, tu app será compatible con las últimas interactividades.

Llegado este punto, es muy importante tener en cuenta que un usuario podría intentar descargar el nuevo contenido para tu app sin descargarse la actualización de la App de Google Play o AppStore ya que el contenido se descarga desde tu hosting sin actualizar la app en sí. Esto podría ser un problema ya que tu nuevo contenido utiliza funcionalidades que la versión anterior de tu app no es capaz de utilizar.

Para evitar este tipo de situaciones, 480interactive te permite definir un número de versión mínimo para tus contenidos. De este modo, si el usuario no tiene al menos la versión mínima requerida se le mostrará un mensaje indicándole que debe actualizar la app para poder ver el nuevo contenido.

Aviso actualizar app

Esta característica está disponible a partir de la versión 2.6 de 480interactive.

¿Cómo se usa?

Actualización de la app

Cuando un usuario sea avisado de que debe actualizar la aplicación, se le mostrará un botón para ir a la ficha de tu app en Google Play o AppStore desde donde podrá realizar la actualización. Por lo tanto, una de las cosas que debes indicar en 480i Manager es la URL que se va a abrir al pulsar dicho botón.

Puedes obtener la URL a la ficha de tu app buscándola con el navegador:

Web de Google Play
Web de AppStore

En AppStore es un poco engorroso encontrar una app así que es probable que te sea más fácil buscar en Google. Por ejemplo, para encontrar nuestro visor para iPad (480i Viewer) buscaríamos: iTunes 480i Viewer

Una vez conozcas las URL debes indicarlas en 480i Manager. Dirígete a la configuración avanzada de la aplicación y rellena los dos campos que se muestran en la imagen:

url instalacion

Nueva versión de la app

Otro de los datos que necesitas conocer es la versión de la actualización de tu app. También se obtiene de su ficha en Google Play y Apple Store así que cuando busques la URL aprovecha para obtener esta información. Ten en cuenta que deberás esperar a que se publique la nueva versión para poder ver este dato.

  • Versión de la app en iTunes:
    iTunes
  • Versión de la app en Google Play:
    GooglePlay

Versión mínima de una publicación

480i Manager permite asignar una versión mínima a cada una de las publicaciones de tu App. En una aplicación Multiple Issue App, la publicación seguirá apareciendo en el Quiosco pero cuando un usuario intente descargarla se le mostrará un aviso para que actualice.

Cuando una de tus publicaciones vaya a usar una funcionalidad nueva, que no estaba disponible cuando publicaste tu app, deberás publicar una nueva versión de tu aplicación en GooglePlay y AppStore e indicar la nueva versión en la configuración de tu publicación. Accede a las opciones avanzadas de la publicación e indica la nueva versión de tu app para cada dispositivo:

version minima

Versión mínima de la App

480i Manager también te permite asignar una versión mínima para usar tu app. De este modo, el usuario deberá actualizar la app para poder usarla.

Esta característica se utiliza cuando se ha producido un cambio en alguna funcionalidad que afecta a toda la app. Por ejemplo, si tu app se creó cuando no existían las categorías y ahora quieres agregar categorías en tu app. En este caso, será necesario que el usuario actualice para poder mostrar correctamente el contenido del Quiosco.

Simplemente, configura la versión mínima desde la configuración avanzada de la aplicación.

version minima app
Ir al Foro